Storyden
Robots

Probe Robot MCP server

Resolve an MCP endpoint from a URL, optionally using an MCP Server Card, and attempt a streamable HTTP MCP handshake.

POST
/robots/mcp-servers/probe

Resolve an MCP endpoint from a URL, optionally using an MCP Server Card, and attempt a streamable HTTP MCP handshake.

Authorization

cookiestoryden-session<token>

Request Body

application/json
  1. body
url*string

User-provided MCP URL. This may be a root domain when the host exposes an MCP Server Card.

Formaturi
bearer_token?string

Optional Bearer token to use for the active probe.

Response Body

Robot MCP server probe completed.

application/json
  1. response
input_url*string
Formaturi
endpoint_url*string
Formaturi
server_card_url?string
Formaturi
server_card?
remote_type?string
active*boolean
probe_error?string
Example Request
curl -X POST 'https://example.com/api/robots/mcp-servers/probe' \  -H 'Content-Type: application/json' \  -d '{  "url": "http://example.com"}'
Example Response
{  "input_url": "http://example.com",  "endpoint_url": "http://example.com",  "server_card_url": "http://example.com",  "server_card": {    "name": "string",    "version": "string",    "description": "string",    "title": "string",    "websiteUrl": "http://example.com",    "remotes": [      {        "type": "string",        "url": "http://example.com",        "supportedProtocolVersions": [          "string"        ]      }    ]  },  "remote_type": "string",  "active": true,  "probe_error": "string"}